Bug 144139 - Display of daipered_dms in /proc/partitions
Summary: Display of daipered_dms in /proc/partitions
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ken Preslan
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-04 19:49 UTC by Derek Anderson
Modified: 2010-01-12 03:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-05 19:33:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2005-01-04 19:49:32 UTC
Description of problem:
With the latest 6.1 RPMS created a few clustered LVs.  They are
displaying in /proc/partitions as "diapered_dm" with these mammoth sizes.

[root@link-11 mapper]# cat /proc/partitions
major minor  #blocks  name

   3     0   39082680 hda
   3     1     104391 hda1
   3     2   37929465 hda2
   3     3    1044225 hda3
   8     0  142255575 sda
   8     1  142255574 sda1
   8    16  142255575 sdb
   8    17  142255574 sdb1
   8    32  142255575 sdc
   8    33  142255574 sdc1
   8    48  142255575 sdd
   8    49  142255574 sdd1
   8    64  142255575 sde
   8    65  142255574 sde1
   8    80  142255575 sdf
   8    81  142255574 sdf1
   8    96  142255575 sdg
   8    97  142255574 sdg1
 253     0  331923456 dm-0
 253     1  331923456 dm-1
 253     2  331931648 dm-2
 252     0 9223372036854775807 diapered_dm-0
 252     1 9223372036854775807 diapered_dm-1
 252     2 9223372036854775807 diapered_dm-2


Version-Release number of selected component (if applicable):
[root@link-11 /]# clvmd -V
Cluster LVM daemon version: 2.00.29 (2004-11-27)
Protocol version:           0.2.1

How reproducible:
It is.

Steps to Reproduce:
1. Set up quorate GFS 6.1 lock_dlm cluster
2. Create LV, create GFS on it, and mount
3. cat /proc/partitions
  
Actual results:


Expected results:


Additional info:

Comment 1 Alasdair Kergon 2005-01-05 14:23:22 UTC
What are major numbers 252 and 253 assigned to in /proc/devices?

2.6 device-mapper only supports one major number at the moment

Comment 2 Alasdair Kergon 2005-01-05 14:24:30 UTC
And what does 'dmsetup info -c' report?

Comment 3 Derek Anderson 2005-01-05 16:15:57 UTC
From /proc/devices: 
 
252 gfs_diaper 

Comment 4 Ken Preslan 2005-01-05 19:33:50 UTC
That's the way they are and always will be.




Note You need to log in before you can comment on or make changes to this bug.